> This page is for 플랫폼, version V4 실험적.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 실험적: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - 레거시: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# 컬렉션 표시

GET https://api.frame.io/v4/accounts/{account_id}/collections/{collection_id}

Show collection details.
This endpoint has been added to `Current Version` of the API.
Please see [https://next.developer.frame.io/platform/v4/api-reference/collections/show](https://next.developer.frame.io/platform/v4/api-reference/collections/show).
Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/collections/show

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `collection_id` (string, required)

### Query parameters

- `include` (string, optional)

### Headers

- `api-version` (enum, required)
  - Allowed values: `experimental`

## Response

### 200

OK

- `data` (Collection, required)

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### Collection

- `aggregation_mode` (enum, required)
  - Allowed values: `static`, `dynamic`
- `auto_generated` (boolean, required)
- `created_at` (string, required) — Creation timestamp
- `description` (string, required, nullable) — Collection description
- `id` (string, required) — Collection ID
- `name` (string, required, nullable) — Collection name
- `private` (boolean, required)
- `project_id` (string, required) — Project ID
- `root_folder_id` (string, required, nullable) — Root folder ID
- `updated_at` (string, required) — Update timestamp
- `creator` (User, optional) — User details
- `project` (ProjectWithDescription, optional) — Frame.io Project
- `shares` (list of Share, optional) — Shares

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### User

User details

- `active` (boolean, required, nullable) — User active status
- `avatar_url` (string, required, nullable) — User avatar image url
- `email` (string, required) — User email
- `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account
- `name` (string, required, nullable) — User name
- `adobe_user_id` (string, optional, nullable) — Adobe user ID

### ProjectWithDescription

Frame.io Project

- `created_at` (string, required) — Created Timestamp
- `id` (string, required) — Project ID
- `name` (string, required) — Project Name
- `root_folder_id` (string, required) — Root Folder ID
- `status` (enum, required) — Project Status
  - Allowed values: `active`, `inactive`
- `storage` (integer, required, default: 0) — Storage Usage
- `updated_at` (string, required) — Updated Timestamp
- `view_url` (string, required) — URL to view the project in the Frame.io web application
- `workspace_id` (string, required) — Workspace ID
- `description` (string, required, nullable) — Project Description
- `adobe_id` (string, optional, nullable) — Adobe cloud storage directory ID associated with the project, when available.
- `image` (string, optional, nullable) — URL of the project image (icon). Null when no image has been uploaded.
- `restricted` (boolean, optional) — Whether the project is restricted or not

### Share

- `enabled` (boolean, required) — Whether the share link is active
- `access` (enum, required)
  - Allowed values: `public`, `secure`
- `last_viewed_at` (string, required, nullable) — Last viewed timestamp
- `updated_at` (string, required) — Update timestamp
- `commenting_enabled` (boolean, required) — Whether commenting is enabled on the share
- `description` (string, required, nullable) — Share description
- `created_at` (string, required) — Creation timestamp
- `name` (string, required, nullable) — Share name
- `collection_id` (string, required) — Collection ID
- `short_url` (string, required, nullable) — Share URL
- `downloading_enabled` (boolean, required) — Whether downloading is enabled on the share
- `id` (string, required) — Share ID
- `expiration` (string, required, nullable) — Expiration timestamp
- `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid
- `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list
- `theme` (enum, optional) — Color theme
  - Allowed values: `dark`, `light`, `neutral`
- `editable_fields_enabled` (boolean, optional) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable.
- `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel.
  - Allowed values: `horizontal`, `square`, `vertical`
- `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated
- `sort_by` (ShareSortBy, optional) — Field ID and direction by which share assets will be sorted
- `forensic_watermark_enabled` (boolean, optional) — Whether forensic watermarking is enabled on the share
- `list_row_size` (enum, optional) — Row size when layout is list
  - Allowed values: `small`, `medium`, `large`
- `card_size` (enum, optional) — Relative size of cards when layout is grid
  - Allowed values: `small`, `medium`, `large`
- `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel
  - Allowed values: `horizontal`, `square`, `vertical`
- `drm_enabled` (boolean, optional) — Whether digital rights management is enabled on the share
- `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel
- `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets
- `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets
- `watermark_enabled` (boolean, optional, nullable) — Whether watermarking is enabled on the share
- `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card.
- `featured_field_definition_id` (string, optional, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients
- `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list.
- `accent_color` (string, optional, nullable) — Hex code for accent color
- `layout` (enum, optional) — Share layout. Required when updating appearance fields
  - Allowed values: `grid`, `list`, `reel`
- `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version)
- `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list
- `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card.
  - Allowed values: `fit`, `fill`
- `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid
- `visible_field_definition_ids` (list of string, optional) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility.

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

### ShareSortBy

Field ID and direction by which share assets will be sorted

- `direction` (enum, required)
  - Allowed values: `asc`, `desc`
- `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity.

## Examples

**Response**

```json
{
  "data": {
    "aggregation_mode": "dynamic",
    "auto_generated": false,
    "created_at": "2024-02-02T21:19:24.828948Z",
    "description": "Description of collection",
    "id": "5b84671c-861f-4ed1-8d0d-7f7c739fbc56",
    "name": "Test Collection",
    "private": false,
    "project_id": "1c3378bc-9430-44bb-92a8-b04a39ec320e",
    "root_folder_id": "4696065e-3d4e-463f-acab-577f0dc9f037",
    "updated_at": "2024-02-02T21:19:24.828948Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428"

headers = {
    "api-version": "experimental",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428';
const options = {
  method: 'GET',
  headers: {'api-version': 'experimental', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-version", "experimental")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-version"] = 'experimental'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428")
  .header("api-version", "experimental")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'api-version' => 'experimental',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428");
var request = new RestRequest(Method.GET);
request.AddHeader("api-version", "experimental");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-version": "experimental",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/8f1f7dad-4d69-4461-9056-1fa7ae8fda0d/collections/fbbd7e3c-ce8c-45e8-ad7a-95704dba6428")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```